package org.jboss.errai.databinding.client;

import com.kdm.erraiexample.client.model.ChildModel;
import com.kdm.erraiexample.client.model.ParentList;
import com.kdm.erraiexample.client.model.ParentModel;
import java.util.ArrayList;
import java.util.List;
import org.jboss.errai.databinding.client.api.InitialState;
import org.jboss.errai.ui.shared.api.Locale;

public class BindableProxyLoaderImpl implements BindableProxyLoader { public void loadBindableProxies() {
    class com_kdm_erraiexample_client_model_ChildModelProxy extends ChildModel implements BindableProxy {
      private BindableProxyAgent<ChildModel> agent;
      public com_kdm_erraiexample_client_model_ChildModelProxy(InitialState initialState) {
        this(new ChildModel(), initialState);
      }

      public com_kdm_erraiexample_client_model_ChildModelProxy(ChildModel target, InitialState initialState) {
        agent = new BindableProxyAgent<ChildModel>(this, target, initialState);
        agent.propertyTypes.put("childValue", new PropertyType(String.class, false, false));
        agent.propertyTypes.put("selected", new PropertyType(Boolean.class, false, false));
        agent.copyValues();
      }

      public BindableProxyAgent getAgent() {
        return agent;
      }

      public void updateWidgets() {
        agent.updateWidgetsAndFireEvents();
      }

      public ChildModel unwrap() {
        return agent.target;
      }

      public ChildModel deepUnwrap() {
        final ChildModel clone = new ChildModel();
        clone.setChildValue(agent.target.getChildValue());
        clone.setSelected(agent.target.isSelected());
        return clone;
      }

      public boolean equals(Object obj) {
        if (obj instanceof com_kdm_erraiexample_client_model_ChildModelProxy) {
          obj = ((com_kdm_erraiexample_client_model_ChildModelProxy) obj).unwrap();
        }
        return agent.target.equals(obj);
      }

      public int hashCode() {
        return agent.target.hashCode();
      }

      public String toString() {
        return agent.target.toString();
      }

      public String getChildValue() {
        return agent.target.getChildValue();
      }

      public void setChildValue(String childValue) {
        String oldValue = agent.target.getChildValue();
        agent.target.setChildValue(childValue);
        agent.updateWidgetsAndFireEvent("childValue", oldValue, childValue);
      }

      public boolean isSelected() {
        return agent.target.isSelected();
      }

      public void setSelected(boolean selected) {
        boolean oldValue = agent.target.isSelected();
        agent.target.setSelected(selected);
        agent.updateWidgetsAndFireEvent("selected", oldValue, selected);
      }

      public Object get(String property) {
        if (property.equals("childValue")) {
          return getChildValue();
        }
        if (property.equals("selected")) {
          return isSelected();
        }
        throw new NonExistingPropertyException(property);
      }

      public void set(String property, Object value) {
        if (property.equals("childValue")) {
          agent.target.setChildValue((String) value);
          return;
        }
        if (property.equals("selected")) {
          agent.target.setSelected((Boolean) value);
          return;
        }
        throw new NonExistingPropertyException(property);
      }
    }
    BindableProxyFactory.addBindableProxy(ChildModel.class, new BindableProxyProvider() {
      public BindableProxy getBindableProxy(Object model, InitialState state) {
        return new com_kdm_erraiexample_client_model_ChildModelProxy((ChildModel) model, state);
      }
      public BindableProxy getBindableProxy(InitialState state) {
        return new com_kdm_erraiexample_client_model_ChildModelProxy(state);
      }
    });
    class com_kdm_erraiexample_client_model_ParentListProxy extends ParentList implements BindableProxy {
      private BindableProxyAgent<ParentList> agent;
      public com_kdm_erraiexample_client_model_ParentListProxy(InitialState initialState) {
        this(new ParentList(), initialState);
      }

      public com_kdm_erraiexample_client_model_ParentListProxy(ParentList target, InitialState initialState) {
        agent = new BindableProxyAgent<ParentList>(this, target, initialState);
        agent.propertyTypes.put("parents", new PropertyType(List.class, false, true));
        agent.propertyTypes.put("test", new PropertyType(Boolean.class, false, false));
        agent.copyValues();
      }

      public BindableProxyAgent getAgent() {
        return agent;
      }

      public void updateWidgets() {
        agent.updateWidgetsAndFireEvents();
      }

      public ParentList unwrap() {
        return agent.target;
      }

      public ParentList deepUnwrap() {
        final ParentList clone = new ParentList();
        if (agent.target.getParents() != null) {
          final List parentsClone = new ArrayList();
          for (Object parentsElem : agent.target.getParents()) {
            if (parentsElem instanceof BindableProxy) {
              parentsClone.add(((BindableProxy) parentsElem).deepUnwrap());
            } else {
              parentsClone.add(parentsElem);
            }
          }
          clone.setParents(parentsClone);
        }
        clone.setTest(agent.target.isTest());
        return clone;
      }

      public boolean equals(Object obj) {
        if (obj instanceof com_kdm_erraiexample_client_model_ParentListProxy) {
          obj = ((com_kdm_erraiexample_client_model_ParentListProxy) obj).unwrap();
        }
        return agent.target.equals(obj);
      }

      public int hashCode() {
        return agent.target.hashCode();
      }

      public String toString() {
        return agent.target.toString();
      }

      public List getParents() {
        return agent.target.getParents();
      }

      public void setParents(List<ParentModel> parents) {
        List<ParentModel> oldValue = agent.target.getParents();
        parents = agent.ensureBoundListIsProxied("parents", parents);
        agent.target.setParents(parents);
        agent.updateWidgetsAndFireEvent("parents", oldValue, parents);
      }

      public boolean isTest() {
        return agent.target.isTest();
      }

      public void setTest(boolean test) {
        boolean oldValue = agent.target.isTest();
        agent.target.setTest(test);
        agent.updateWidgetsAndFireEvent("test", oldValue, test);
      }

      public Object get(String property) {
        if (property.equals("parents")) {
          return getParents();
        }
        if (property.equals("test")) {
          return isTest();
        }
        throw new NonExistingPropertyException(property);
      }

      public void set(String property, Object value) {
        if (property.equals("parents")) {
          agent.target.setParents((List<ParentModel>) value);
          return;
        }
        if (property.equals("test")) {
          agent.target.setTest((Boolean) value);
          return;
        }
        throw new NonExistingPropertyException(property);
      }

      public void init() {
        agent.target.init();
        agent.updateWidgetsAndFireEvents();
      }
    }
    BindableProxyFactory.addBindableProxy(ParentList.class, new BindableProxyProvider() {
      public BindableProxy getBindableProxy(Object model, InitialState state) {
        return new com_kdm_erraiexample_client_model_ParentListProxy((ParentList) model, state);
      }
      public BindableProxy getBindableProxy(InitialState state) {
        return new com_kdm_erraiexample_client_model_ParentListProxy(state);
      }
    });
    class com_kdm_erraiexample_client_model_ParentModelProxy extends ParentModel implements BindableProxy {
      private BindableProxyAgent<ParentModel> agent;
      public com_kdm_erraiexample_client_model_ParentModelProxy(InitialState initialState) {
        this(new ParentModel(), initialState);
      }

      public com_kdm_erraiexample_client_model_ParentModelProxy(ParentModel target, InitialState initialState) {
        agent = new BindableProxyAgent<ParentModel>(this, target, initialState);
        agent.propertyTypes.put("test", new PropertyType(Boolean.class, false, false));
        agent.propertyTypes.put("children", new PropertyType(List.class, false, true));
        agent.propertyTypes.put("parentValue", new PropertyType(String.class, false, false));
        agent.copyValues();
      }

      public BindableProxyAgent getAgent() {
        return agent;
      }

      public void updateWidgets() {
        agent.updateWidgetsAndFireEvents();
      }

      public ParentModel unwrap() {
        return agent.target;
      }

      public ParentModel deepUnwrap() {
        final ParentModel clone = new ParentModel();
        clone.setTest(agent.target.isTest());
        if (agent.target.getChildren() != null) {
          final List childrenClone = new ArrayList();
          for (Object childrenElem : agent.target.getChildren()) {
            if (childrenElem instanceof BindableProxy) {
              childrenClone.add(((BindableProxy) childrenElem).deepUnwrap());
            } else {
              childrenClone.add(childrenElem);
            }
          }
          clone.setChildren(childrenClone);
        }
        clone.setParentValue(agent.target.getParentValue());
        return clone;
      }

      public boolean equals(Object obj) {
        if (obj instanceof com_kdm_erraiexample_client_model_ParentModelProxy) {
          obj = ((com_kdm_erraiexample_client_model_ParentModelProxy) obj).unwrap();
        }
        return agent.target.equals(obj);
      }

      public int hashCode() {
        return agent.target.hashCode();
      }

      public String toString() {
        return agent.target.toString();
      }

      public boolean isTest() {
        return agent.target.isTest();
      }

      public void setTest(boolean test) {
        boolean oldValue = agent.target.isTest();
        agent.target.setTest(test);
        agent.updateWidgetsAndFireEvent("test", oldValue, test);
      }

      public List getChildren() {
        return agent.target.getChildren();
      }

      public void setChildren(List<ChildModel> children) {
        List<ChildModel> oldValue = agent.target.getChildren();
        children = agent.ensureBoundListIsProxied("children", children);
        agent.target.setChildren(children);
        agent.updateWidgetsAndFireEvent("children", oldValue, children);
      }

      public String getParentValue() {
        return agent.target.getParentValue();
      }

      public void setParentValue(String parentValue) {
        String oldValue = agent.target.getParentValue();
        agent.target.setParentValue(parentValue);
        agent.updateWidgetsAndFireEvent("parentValue", oldValue, parentValue);
      }

      public Object get(String property) {
        if (property.equals("test")) {
          return isTest();
        }
        if (property.equals("children")) {
          return getChildren();
        }
        if (property.equals("parentValue")) {
          return getParentValue();
        }
        throw new NonExistingPropertyException(property);
      }

      public void set(String property, Object value) {
        if (property.equals("test")) {
          agent.target.setTest((Boolean) value);
          return;
        }
        if (property.equals("children")) {
          agent.target.setChildren((List<ChildModel>) value);
          return;
        }
        if (property.equals("parentValue")) {
          agent.target.setParentValue((String) value);
          return;
        }
        throw new NonExistingPropertyException(property);
      }
    }
    BindableProxyFactory.addBindableProxy(ParentModel.class, new BindableProxyProvider() {
      public BindableProxy getBindableProxy(Object model, InitialState state) {
        return new com_kdm_erraiexample_client_model_ParentModelProxy((ParentModel) model, state);
      }
      public BindableProxy getBindableProxy(InitialState state) {
        return new com_kdm_erraiexample_client_model_ParentModelProxy(state);
      }
    });
    class org_jboss_errai_ui_shared_api_LocaleProxy extends Locale implements BindableProxy {
      private BindableProxyAgent<Locale> agent;
      public org_jboss_errai_ui_shared_api_LocaleProxy(InitialState initialState) {
        this(new Locale(), initialState);
      }

      public org_jboss_errai_ui_shared_api_LocaleProxy(Locale target, InitialState initialState) {
        agent = new BindableProxyAgent<Locale>(this, target, initialState);
        agent.propertyTypes.put("locale", new PropertyType(String.class, false, false));
        agent.propertyTypes.put("label", new PropertyType(String.class, false, false));
        agent.copyValues();
      }

      public BindableProxyAgent getAgent() {
        return agent;
      }

      public void updateWidgets() {
        agent.updateWidgetsAndFireEvents();
      }

      public Locale unwrap() {
        return agent.target;
      }

      public Locale deepUnwrap() {
        final Locale clone = new Locale();
        clone.setLocale(agent.target.getLocale());
        clone.setLabel(agent.target.getLabel());
        return clone;
      }

      public boolean equals(Object obj) {
        if (obj instanceof org_jboss_errai_ui_shared_api_LocaleProxy) {
          obj = ((org_jboss_errai_ui_shared_api_LocaleProxy) obj).unwrap();
        }
        return agent.target.equals(obj);
      }

      public int hashCode() {
        return agent.target.hashCode();
      }

      public String toString() {
        return agent.target.toString();
      }

      public String getLocale() {
        return agent.target.getLocale();
      }

      public void setLocale(String locale) {
        String oldValue = agent.target.getLocale();
        agent.target.setLocale(locale);
        agent.updateWidgetsAndFireEvent("locale", oldValue, locale);
      }

      public String getLabel() {
        return agent.target.getLabel();
      }

      public void setLabel(String label) {
        String oldValue = agent.target.getLabel();
        agent.target.setLabel(label);
        agent.updateWidgetsAndFireEvent("label", oldValue, label);
      }

      public Object get(String property) {
        if (property.equals("locale")) {
          return getLocale();
        }
        if (property.equals("label")) {
          return getLabel();
        }
        throw new NonExistingPropertyException(property);
      }

      public void set(String property, Object value) {
        if (property.equals("locale")) {
          agent.target.setLocale((String) value);
          return;
        }
        if (property.equals("label")) {
          agent.target.setLabel((String) value);
          return;
        }
        throw new NonExistingPropertyException(property);
      }
    }
    BindableProxyFactory.addBindableProxy(Locale.class, new BindableProxyProvider() {
      public BindableProxy getBindableProxy(Object model, InitialState state) {
        return new org_jboss_errai_ui_shared_api_LocaleProxy((Locale) model, state);
      }
      public BindableProxy getBindableProxy(InitialState state) {
        return new org_jboss_errai_ui_shared_api_LocaleProxy(state);
      }
    });
  }
}