package org.jboss.errai.ioc.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.editor.client.IsEditor;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.event.dom.client.HasAllDragAndDropHandlers;
import com.google.gwt.event.dom.client.HasAllFocusHandlers;
import com.google.gwt.event.dom.client.HasAllGestureHandlers;
import com.google.gwt.event.dom.client.HasAllKeyHandlers;
import com.google.gwt.event.dom.client.HasAllMouseHandlers;
import com.google.gwt.event.dom.client.HasAllTouchHandlers;
import com.google.gwt.event.dom.client.HasBlurHandlers;
import com.google.gwt.event.dom.client.HasClickHandlers;
import com.google.gwt.event.dom.client.HasDoubleClickHandlers;
import com.google.gwt.event.dom.client.HasDragEndHandlers;
import com.google.gwt.event.dom.client.HasDragEnterHandlers;
import com.google.gwt.event.dom.client.HasDragHandlers;
import com.google.gwt.event.dom.client.HasDragLeaveHandlers;
import com.google.gwt.event.dom.client.HasDragOverHandlers;
import com.google.gwt.event.dom.client.HasDragStartHandlers;
import com.google.gwt.event.dom.client.HasDropHandlers;
import com.google.gwt.event.dom.client.HasFocusHandlers;
import com.google.gwt.event.dom.client.HasGestureChangeHandlers;
import com.google.gwt.event.dom.client.HasGestureEndHandlers;
import com.google.gwt.event.dom.client.HasGestureStartHandlers;
import com.google.gwt.event.dom.client.HasKeyDownHandlers;
import com.google.gwt.event.dom.client.HasKeyPressHandlers;
import com.google.gwt.event.dom.client.HasKeyUpHandlers;
import com.google.gwt.event.dom.client.HasMouseDownHandlers;
import com.google.gwt.event.dom.client.HasMouseMoveHandlers;
import com.google.gwt.event.dom.client.HasMouseOutHandlers;
import com.google.gwt.event.dom.client.HasMouseOverHandlers;
import com.google.gwt.event.dom.client.HasMouseUpHandlers;
import com.google.gwt.event.dom.client.HasMouseWheelHandlers;
import com.google.gwt.event.dom.client.HasTouchCancelHandlers;
import com.google.gwt.event.dom.client.HasTouchEndHandlers;
import com.google.gwt.event.dom.client.HasTouchMoveHandlers;
import com.google.gwt.event.dom.client.HasTouchStartHandlers;
import com.google.gwt.event.logical.shared.HasAttachHandlers;
import com.google.gwt.event.logical.shared.HasValueChangeHandlers;
import com.google.gwt.event.shared.HasHandlers;
import com.google.gwt.i18n.client.HasDirection;
import com.google.gwt.i18n.shared.HasDirectionEstimator;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ClientBundle.Source;
import com.google.gwt.resources.client.TextResource;
import com.google.gwt.safehtml.client.HasSafeHtml;
import com.google.gwt.user.client.EventListener;
import com.google.gwt.user.client.TakesValue;
import com.google.gwt.user.client.ui.ButtonBase;
import com.google.gwt.user.client.ui.CheckBox;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FocusWidget;
import com.google.gwt.user.client.ui.Focusable;
import com.google.gwt.user.client.ui.HasAutoHorizontalAlignment;
import com.google.gwt.user.client.ui.HasConstrainedValue;
import com.google.gwt.user.client.ui.HasDirectionalSafeHtml;
import com.google.gwt.user.client.ui.HasDirectionalText;
import com.google.gwt.user.client.ui.HasEnabled;
import com.google.gwt.user.client.ui.HasFocus;
import com.google.gwt.user.client.ui.HasHTML;
import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.HasName;
import com.google.gwt.user.client.ui.HasText;
import com.google.gwt.user.client.ui.HasValue;
import com.google.gwt.user.client.ui.HasVisibility;
import com.google.gwt.user.client.ui.HasWordWrap;
import com.google.gwt.user.client.ui.InlineLabel;
import com.google.gwt.user.client.ui.IsRenderable;
import com.google.gwt.user.client.ui.IsWidget;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.LabelBase;
import com.google.gwt.user.client.ui.SourcesClickEvents;
import com.google.gwt.user.client.ui.SourcesFocusEvents;
import com.google.gwt.user.client.ui.SourcesKeyboardEvents;
import com.google.gwt.user.client.ui.SourcesMouseEvents;
import com.google.gwt.user.client.ui.UIObject;
import com.google.gwt.user.client.ui.ValueListBox;
import com.google.gwt.user.client.ui.Widget;
import com.kdm.erraiexample.client.ContentPage;
import com.kdm.erraiexample.client.ErraiExampleApp;
import com.kdm.erraiexample.client.TopLevelComponent;
import com.kdm.erraiexample.client.model.ChildModel;
import com.kdm.erraiexample.client.model.ParentList;
import com.kdm.erraiexample.client.model.ParentModel;
import com.kdm.erraiexample.client.widget.ChildWidget;
import com.kdm.erraiexample.client.widget.ParentWidget;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.inject.Provider;
import org.jboss.errai.common.client.api.extension.InitVotes;
import org.jboss.errai.databinding.client.DataBinderProvider;
import org.jboss.errai.databinding.client.DataBindingModuleBootstrapper;
import org.jboss.errai.databinding.client.api.DataBinder;
import org.jboss.errai.enterprise.client.cdi.CDIEventTypeLookup;
import org.jboss.errai.enterprise.client.cdi.EventProvider;
import org.jboss.errai.enterprise.client.cdi.InstanceProvider;
import org.jboss.errai.enterprise.client.cdi.api.CDI;
import org.jboss.errai.ioc.client.api.ContextualTypeProvider;
import org.jboss.errai.ioc.client.api.builtin.CallerProvider;
import org.jboss.errai.ioc.client.api.builtin.DisposerProvider;
import org.jboss.errai.ioc.client.api.builtin.IOCBeanManagerProvider;
import org.jboss.errai.ioc.client.api.builtin.InitBallotProvider;
import org.jboss.errai.ioc.client.api.builtin.RootPanelProvider;
import org.jboss.errai.ioc.client.container.BeanProvider;
import org.jboss.errai.ioc.client.container.CreationalContext;
import org.jboss.errai.ioc.client.container.DestructionCallback;
import org.jboss.errai.ioc.client.container.InitializationCallback;
import org.jboss.errai.ioc.client.container.SimpleCreationalContext;
import org.jboss.errai.ioc.client.container.SyncBeanManager;
import org.jboss.errai.ioc.client.lifecycle.api.Access;
import org.jboss.errai.ioc.client.lifecycle.api.Creation;
import org.jboss.errai.ioc.client.lifecycle.api.Destruction;
import org.jboss.errai.ioc.client.lifecycle.api.LifecycleEvent;
import org.jboss.errai.ioc.client.lifecycle.api.LifecycleListenerRegistrar;
import org.jboss.errai.ioc.client.lifecycle.api.StateChange;
import org.jboss.errai.ioc.client.lifecycle.impl.AccessImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.CreationImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.DestructionImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.LifecycleEventImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.LifecycleListenerRegistrarImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.StateChangeImpl;
import org.jboss.errai.ioc.support.bus.client.BatchCallerProvider;
import org.jboss.errai.ioc.support.bus.client.MessageBusProvider;
import org.jboss.errai.ioc.support.bus.client.RequestDispatcherProvider;
import org.jboss.errai.ioc.support.bus.client.SenderProvider;
import org.jboss.errai.ui.client.local.spi.LessStyle;
import org.jboss.errai.ui.client.local.spi.TranslationServiceProvider;
import org.jboss.errai.ui.client.widget.HasModel;
import org.jboss.errai.ui.client.widget.ListWidget;
import org.jboss.errai.ui.client.widget.ListWidgetProvider;
import org.jboss.errai.ui.client.widget.LocaleListBox;
import org.jboss.errai.ui.client.widget.LocaleSelector;
import org.jboss.errai.ui.nav.client.local.Navigation;
import org.jboss.errai.ui.nav.client.local.PageTransitionProvider;
import org.jboss.errai.ui.nav.client.local.TransitionAnchorFactoryProvider;
import org.jboss.errai.ui.nav.client.local.TransitionAnchorProvider;
import org.jboss.errai.ui.nav.client.local.TransitionToRoleProvider;
import org.jboss.errai.ui.shared.Template;
import org.jboss.errai.ui.shared.TemplateUtil;

public class BootstrapperImpl implements Bootstrapper {
  {
    new CDI().initLookupTable(CDIEventTypeLookup.get());
    new DataBindingModuleBootstrapper().run();
  }

  private final SimpleInjectionContext injContext = new SimpleInjectionContext();
  private final SimpleCreationalContext context = injContext.getRootContext();
  private final BeanProvider<TranslationServiceProvider> inj9904_TranslationServiceProvider_creational = new BeanProvider<TranslationServiceProvider>() {
    public TranslationServiceProvider getInstance(final CreationalContext context) {
      final TranslationServiceProvider inj9875_TranslationServiceProvider = new TranslationServiceProvider();
      context.addBean(context.getBeanReference(TranslationServiceProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9875_TranslationServiceProvider);
      return inj9875_TranslationServiceProvider;
    }
  };
  private final TranslationServiceProvider inj9875_TranslationServiceProvider = inj9904_TranslationServiceProvider_creational.getInstance(context);
  private final BeanProvider<EventProvider> inj9905_EventProvider_creational = new BeanProvider<EventProvider>() {
    public EventProvider getInstance(final CreationalContext context) {
      final EventProvider inj9879_EventProvider = new EventProvider();
      context.addBean(context.getBeanReference(EventProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9879_EventProvider);
      return inj9879_EventProvider;
    }
  };
  private final EventProvider inj9879_EventProvider = inj9905_EventProvider_creational.getInstance(context);
  private final BeanProvider<SenderProvider> inj9906_SenderProvider_creational = new BeanProvider<SenderProvider>() {
    public SenderProvider getInstance(final CreationalContext context) {
      final SenderProvider inj9899_SenderProvider = new SenderProvider();
      context.addBean(context.getBeanReference(SenderProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9899_SenderProvider);
      return inj9899_SenderProvider;
    }
  };
  private final SenderProvider inj9899_SenderProvider = inj9906_SenderProvider_creational.getInstance(context);
  private final BeanProvider<StateChangeImpl> inj9908_StateChangeImpl_creational = new BeanProvider<StateChangeImpl>() {
    public StateChangeImpl getInstance(final CreationalContext context) {
      final StateChangeImpl inj9907_StateChangeImpl = new StateChangeImpl();
      context.addBean(context.getBeanReference(StateChangeImpl.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9907_StateChangeImpl);
      return inj9907_StateChangeImpl;
    }
  };
  private InitializationCallback<Navigation> init_inj9909_Navigation = new InitializationCallback<Navigation>() {
    public void init(final Navigation obj) {
      _136504311_init(obj);
    }
  };
  private DestructionCallback<Navigation> destroy_inj9909_Navigation = new DestructionCallback<Navigation>() {
    public void destroy(final Navigation obj) {
      obj.cleanUp();
    }
  };
  private final BeanProvider<Navigation> inj9910_Navigation_creational = new BeanProvider<Navigation>() {
    public Navigation getInstance(final CreationalContext context) {
      final Navigation inj9909_Navigation = new Navigation();
      context.addBean(context.getBeanReference(Navigation.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9909_Navigation);
      _136504311__$2056551207_stateChangeEvent(inj9909_Navigation, inj9908_StateChangeImpl_creational.getInstance(context));
      context.addInitializationCallback(inj9909_Navigation, init_inj9909_Navigation);
      context.addDestructionCallback(inj9909_Navigation, destroy_inj9909_Navigation);
      return inj9909_Navigation;
    }
  };
  private final Navigation inj9909_Navigation = inj9910_Navigation_creational.getInstance(context);
  private final BeanProvider<IOCBeanManagerProvider> inj9911_IOCBeanManagerProvider_creational = new BeanProvider<IOCBeanManagerProvider>() {
    public IOCBeanManagerProvider getInstance(final CreationalContext context) {
      final IOCBeanManagerProvider inj9891_IOCBeanManagerProvider = new IOCBeanManagerProvider();
      context.addBean(context.getBeanReference(IOCBeanManagerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9891_IOCBeanManagerProvider);
      return inj9891_IOCBeanManagerProvider;
    }
  };
  private final IOCBeanManagerProvider inj9891_IOCBeanManagerProvider = inj9911_IOCBeanManagerProvider_creational.getInstance(context);
  private final BeanProvider<CallerProvider> inj9912_CallerProvider_creational = new BeanProvider<CallerProvider>() {
    public CallerProvider getInstance(final CreationalContext context) {
      final CallerProvider inj9885_CallerProvider = new CallerProvider();
      context.addBean(context.getBeanReference(CallerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9885_CallerProvider);
      return inj9885_CallerProvider;
    }
  };
  private final CallerProvider inj9885_CallerProvider = inj9912_CallerProvider_creational.getInstance(context);
  private final BeanProvider<ListWidgetProvider> inj9913_ListWidgetProvider_creational = new BeanProvider<ListWidgetProvider>() {
    public ListWidgetProvider getInstance(final CreationalContext context) {
      final ListWidgetProvider inj9881_ListWidgetProvider = new ListWidgetProvider();
      context.addBean(context.getBeanReference(ListWidgetProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9881_ListWidgetProvider);
      return inj9881_ListWidgetProvider;
    }
  };
  private final ListWidgetProvider inj9881_ListWidgetProvider = inj9913_ListWidgetProvider_creational.getInstance(context);
  private final BeanProvider<DataBinderProvider> inj9914_DataBinderProvider_creational = new BeanProvider<DataBinderProvider>() {
    public DataBinderProvider getInstance(final CreationalContext context) {
      final DataBinderProvider inj9897_DataBinderProvider = new DataBinderProvider();
      context.addBean(context.getBeanReference(DataBinderProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9897_DataBinderProvider);
      return inj9897_DataBinderProvider;
    }
  };
  private final DataBinderProvider inj9897_DataBinderProvider = inj9914_DataBinderProvider_creational.getInstance(context);
  private final BeanProvider<InlineLabel> inj9916_InlineLabel_creational = new BeanProvider<InlineLabel>() {
    public InlineLabel getInstance(final CreationalContext context) {
      final InlineLabel inj7992_InlineLabel = new InlineLabel();
      context.addBean(context.getBeanReference(InlineLabel.class, QualifierUtil.DEFAULT_QUALIFIERS), inj7992_InlineLabel);
      return inj7992_InlineLabel;
    }
  };
  private final BeanProvider<CheckBox> inj9917_CheckBox_creational = new BeanProvider<CheckBox>() {
    public CheckBox getInstance(final CreationalContext context) {
      final CheckBox inj9062_CheckBox = new CheckBox();
      context.addBean(context.getBeanReference(CheckBox.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9062_CheckBox);
      return inj9062_CheckBox;
    }
  };
  private InitializationCallback<ParentWidget> init_inj8766_ParentWidget = new InitializationCallback<ParentWidget>() {
    public void init(final ParentWidget obj) {
      obj.initInstance();
    }
  };
  private final BeanProvider<ParentWidget> inj9915_ParentWidget_creational = new BeanProvider<ParentWidget>() {
    public ParentWidget getInstance(final CreationalContext context) {
      final ParentWidget inj8766_ParentWidget = new ParentWidget();
      context.addBean(context.getBeanReference(ParentWidget.class, QualifierUtil.DEFAULT_QUALIFIERS), inj8766_ParentWidget);
      _$333860385__$483175978_parentBinder(inj8766_ParentWidget, inj9897_DataBinderProvider.provide(new Class[] { ParentModel.class }, null));
      _$333860385__74478675_parentValue(inj8766_ParentWidget, inj9916_InlineLabel_creational.getInstance(context));
      _$333860385__$378378709_test(inj8766_ParentWidget, inj9917_CheckBox_creational.getInstance(context));
      _$333860385__$102652735_childList(inj8766_ParentWidget, inj9881_ListWidgetProvider.provide(new Class[] { ChildModel.class, ChildWidget.class }, null));
      context.addInitializationCallback(inj8766_ParentWidget, new InitializationCallback<ParentWidget>() {
        public void init(final ParentWidget obj) {
          com_kdm_erraiexample_client_widget_ParentWidgetTemplateResource var65 = GWT.create(com_kdm_erraiexample_client_widget_ParentWidgetTemplateResource.class);
          Element var66 = TemplateUtil.getRootTemplateElement(var65.getContents().getText(), "com/kdm/erraiexample/client/widget/ParentWidget.html", "parent");
          TemplateUtil.translateTemplate("com/kdm/erraiexample/client/widget/ParentWidget.html", var66);
          Map<String, Element> var67 = TemplateUtil.getDataFieldElements(var66);
          Map<String, Widget> var68 = new LinkedHashMap<String, Widget>();
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.widget.ParentWidget", "com/kdm/erraiexample/client/widget/ParentWidget.html", _$333860385__74478675_parentValue(inj8766_ParentWidget), var67, "parentValue");
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.widget.ParentWidget", "com/kdm/erraiexample/client/widget/ParentWidget.html", _$333860385__$378378709_test(inj8766_ParentWidget), var67, "test");
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.widget.ParentWidget", "com/kdm/erraiexample/client/widget/ParentWidget.html", _$333860385__$102652735_childList(inj8766_ParentWidget), var67, "childList");
          var68.put("parentValue", _$333860385__74478675_parentValue(inj8766_ParentWidget));
          var68.put("test", _$333860385__$378378709_test(inj8766_ParentWidget));
          var68.put("childList", _$333860385__$102652735_childList(inj8766_ParentWidget));
          TemplateUtil.initWidget(inj8766_ParentWidget, var66, var68.values());
          ((HasClickHandlers) var68.get("test")).addClickHandler(new ClickHandler() {
            public void onClick(ClickEvent event) {
              _$333860385_withTest_ClickEvent(inj8766_ParentWidget, event);
            }
          });
        }
      });
      context.addInitializationCallback(inj8766_ParentWidget, init_inj8766_ParentWidget);
      context.addInitializationCallback(inj8766_ParentWidget, new InitializationCallback<ParentWidget>() {
        public void init(final ParentWidget obj) {
          DataBinder binder = _$333860385__$483175978_parentBinder(inj8766_ParentWidget);
          if (binder == null) {
            throw new RuntimeException("@AutoBound data binder for class com.kdm.erraiexample.client.widget.ParentWidget has not been initialized. Either initialize or add @Inject!");
          }
          binder.bind(_$333860385__74478675_parentValue(inj8766_ParentWidget), "parentValue", null);
          binder.bind(_$333860385__$378378709_test(inj8766_ParentWidget), "test", null);
          binder.bind(_$333860385__$102652735_childList(inj8766_ParentWidget), "children", null);
        }
      });
      context.addDestructionCallback(inj8766_ParentWidget, new DestructionCallback<ParentWidget>() {
        public void destroy(final ParentWidget obj) {
          _$333860385__$483175978_parentBinder(inj8766_ParentWidget).unbind();
        }
      });
      return inj8766_ParentWidget;
    }
  };
  private InitializationCallback<ChildWidget> init_inj8033_ChildWidget = new InitializationCallback<ChildWidget>() {
    public void init(final ChildWidget obj) {
      obj.initInstance();
    }
  };
  private final BeanProvider<ChildWidget> inj9918_ChildWidget_creational = new BeanProvider<ChildWidget>() {
    public ChildWidget getInstance(final CreationalContext context) {
      final ChildWidget inj8033_ChildWidget = new ChildWidget();
      context.addBean(context.getBeanReference(ChildWidget.class, QualifierUtil.DEFAULT_QUALIFIERS), inj8033_ChildWidget);
      _573234703__$483175978_childModelBinder(inj8033_ChildWidget, inj9897_DataBinderProvider.provide(new Class[] { ChildModel.class }, null));
      _573234703__74478675_childValue(inj8033_ChildWidget, inj9916_InlineLabel_creational.getInstance(context));
      _573234703__$378378709_selected(inj8033_ChildWidget, inj9917_CheckBox_creational.getInstance(context));
      context.addInitializationCallback(inj8033_ChildWidget, new InitializationCallback<ChildWidget>() {
        public void init(final ChildWidget obj) {
          com_kdm_erraiexample_client_widget_ChildWidgetTemplateResource var69 = GWT.create(com_kdm_erraiexample_client_widget_ChildWidgetTemplateResource.class);
          Element var70 = TemplateUtil.getRootTemplateElement(var69.getContents().getText(), "com/kdm/erraiexample/client/widget/ChildWidget.html", "child");
          TemplateUtil.translateTemplate("com/kdm/erraiexample/client/widget/ChildWidget.html", var70);
          Map<String, Element> var71 = TemplateUtil.getDataFieldElements(var70);
          Map<String, Widget> var72 = new LinkedHashMap<String, Widget>();
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.widget.ChildWidget", "com/kdm/erraiexample/client/widget/ChildWidget.html", _573234703__74478675_childValue(inj8033_ChildWidget), var71, "childValue");
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.widget.ChildWidget", "com/kdm/erraiexample/client/widget/ChildWidget.html", _573234703__$378378709_selected(inj8033_ChildWidget), var71, "selected");
          var72.put("childValue", _573234703__74478675_childValue(inj8033_ChildWidget));
          var72.put("selected", _573234703__$378378709_selected(inj8033_ChildWidget));
          TemplateUtil.initWidget(inj8033_ChildWidget, var70, var72.values());
        }
      });
      context.addInitializationCallback(inj8033_ChildWidget, init_inj8033_ChildWidget);
      context.addInitializationCallback(inj8033_ChildWidget, new InitializationCallback<ChildWidget>() {
        public void init(final ChildWidget obj) {
          DataBinder binder = _573234703__$483175978_childModelBinder(inj8033_ChildWidget);
          if (binder == null) {
            throw new RuntimeException("@AutoBound data binder for class com.kdm.erraiexample.client.widget.ChildWidget has not been initialized. Either initialize or add @Inject!");
          }
          binder.bind(_573234703__74478675_childValue(inj8033_ChildWidget), "childValue", null);
          binder.bind(_573234703__$378378709_selected(inj8033_ChildWidget), "selected", null);
        }
      });
      context.addDestructionCallback(inj8033_ChildWidget, new DestructionCallback<ChildWidget>() {
        public void destroy(final ChildWidget obj) {
          _573234703__$483175978_childModelBinder(inj8033_ChildWidget).unbind();
        }
      });
      return inj8033_ChildWidget;
    }
  };
  private final BeanProvider<MessageBusProvider> inj9919_MessageBusProvider_creational = new BeanProvider<MessageBusProvider>() {
    public MessageBusProvider getInstance(final CreationalContext context) {
      final MessageBusProvider inj9871_MessageBusProvider = new MessageBusProvider();
      context.addBean(context.getBeanReference(MessageBusProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9871_MessageBusProvider);
      return inj9871_MessageBusProvider;
    }
  };
  private final MessageBusProvider inj9871_MessageBusProvider = inj9919_MessageBusProvider_creational.getInstance(context);
  private final BeanProvider<RequestDispatcherProvider> inj9920_RequestDispatcherProvider_creational = new BeanProvider<RequestDispatcherProvider>() {
    public RequestDispatcherProvider getInstance(final CreationalContext context) {
      final RequestDispatcherProvider inj9889_RequestDispatcherProvider = new RequestDispatcherProvider();
      context.addBean(context.getBeanReference(RequestDispatcherProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9889_RequestDispatcherProvider);
      return inj9889_RequestDispatcherProvider;
    }
  };
  private final RequestDispatcherProvider inj9889_RequestDispatcherProvider = inj9920_RequestDispatcherProvider_creational.getInstance(context);
  private InitializationCallback<TopLevelComponent> init_inj9921_TopLevelComponent = new InitializationCallback<TopLevelComponent>() {
    public void init(final TopLevelComponent obj) {
      _$855849227_initInstance(obj);
    }
  };
  private final BeanProvider<TopLevelComponent> inj9922_TopLevelComponent_creational = new BeanProvider<TopLevelComponent>() {
    public TopLevelComponent getInstance(final CreationalContext context) {
      final TopLevelComponent inj9921_TopLevelComponent = new TopLevelComponent();
      context.addBean(context.getBeanReference(TopLevelComponent.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9921_TopLevelComponent);
      _$855849227__$483175978_parentListBinder(inj9921_TopLevelComponent, inj9897_DataBinderProvider.provide(new Class[] { ParentList.class }, null));
      _$855849227__$102652735_parentList(inj9921_TopLevelComponent, inj9881_ListWidgetProvider.provide(new Class[] { ParentModel.class, ParentWidget.class }, null));
      _$855849227__$378378709_test(inj9921_TopLevelComponent, inj9917_CheckBox_creational.getInstance(context));
      context.addInitializationCallback(inj9921_TopLevelComponent, new InitializationCallback<TopLevelComponent>() {
        public void init(final TopLevelComponent obj) {
          com_kdm_erraiexample_client_TopLevelComponentTemplateResource var73 = GWT.create(com_kdm_erraiexample_client_TopLevelComponentTemplateResource.class);
          Element var74 = TemplateUtil.getRootTemplateElement(var73.getContents().getText(), "com/kdm/erraiexample/client/TopLevelComponent.html", "main");
          TemplateUtil.translateTemplate("com/kdm/erraiexample/client/TopLevelComponent.html", var74);
          Map<String, Element> var75 = TemplateUtil.getDataFieldElements(var74);
          Map<String, Widget> var76 = new LinkedHashMap<String, Widget>();
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.TopLevelComponent", "com/kdm/erraiexample/client/TopLevelComponent.html", _$855849227__$102652735_parentList(inj9921_TopLevelComponent), var75, "parentList");
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.TopLevelComponent", "com/kdm/erraiexample/client/TopLevelComponent.html", _$855849227__$378378709_test(inj9921_TopLevelComponent), var75, "test");
          var76.put("parentList", _$855849227__$102652735_parentList(inj9921_TopLevelComponent));
          var76.put("test", _$855849227__$378378709_test(inj9921_TopLevelComponent));
          TemplateUtil.initWidget(inj9921_TopLevelComponent, var74, var76.values());
          ((HasClickHandlers) var76.get("test")).addClickHandler(new ClickHandler() {
            public void onClick(ClickEvent event) {
              _$855849227_withTest_ClickEvent(inj9921_TopLevelComponent, event);
            }
          });
        }
      });
      context.addInitializationCallback(inj9921_TopLevelComponent, init_inj9921_TopLevelComponent);
      context.addInitializationCallback(inj9921_TopLevelComponent, new InitializationCallback<TopLevelComponent>() {
        public void init(final TopLevelComponent obj) {
          DataBinder binder = _$855849227__$483175978_parentListBinder(inj9921_TopLevelComponent);
          if (binder == null) {
            throw new RuntimeException("@AutoBound data binder for class com.kdm.erraiexample.client.TopLevelComponent has not been initialized. Either initialize or add @Inject!");
          }
          binder.bind(_$855849227__$102652735_parentList(inj9921_TopLevelComponent), "parents", null);
          binder.bind(_$855849227__$378378709_test(inj9921_TopLevelComponent), "test", null);
        }
      });
      context.addDestructionCallback(inj9921_TopLevelComponent, new DestructionCallback<TopLevelComponent>() {
        public void destroy(final TopLevelComponent obj) {
          _$855849227__$483175978_parentListBinder(inj9921_TopLevelComponent).unbind();
        }
      });
      return inj9921_TopLevelComponent;
    }
  };
  private final TopLevelComponent inj9921_TopLevelComponent = inj9922_TopLevelComponent_creational.getInstance(context);
  private final BeanProvider<RootPanelProvider> inj9923_RootPanelProvider_creational = new BeanProvider<RootPanelProvider>() {
    public RootPanelProvider getInstance(final CreationalContext context) {
      final RootPanelProvider inj9873_RootPanelProvider = new RootPanelProvider();
      context.addBean(context.getBeanReference(RootPanelProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9873_RootPanelProvider);
      return inj9873_RootPanelProvider;
    }
  };
  private final RootPanelProvider inj9873_RootPanelProvider = inj9923_RootPanelProvider_creational.getInstance(context);
  private final BeanProvider<LocaleSelector> inj9925_LocaleSelector_creational = new BeanProvider<LocaleSelector>() {
    public LocaleSelector getInstance(final CreationalContext context) {
      final LocaleSelector inj9924_LocaleSelector = new LocaleSelector();
      context.addBean(context.getBeanReference(LocaleSelector.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9924_LocaleSelector);
      return inj9924_LocaleSelector;
    }
  };
  private final LocaleSelector inj9924_LocaleSelector = inj9925_LocaleSelector_creational.getInstance(context);
  private final BeanProvider<LocaleListBox> inj9927_LocaleListBox_creational = new BeanProvider<LocaleListBox>() {
    public LocaleListBox getInstance(final CreationalContext context) {
      final LocaleListBox inj9926_LocaleListBox = new LocaleListBox();
      context.addBean(context.getBeanReference(LocaleListBox.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9926_LocaleListBox);
      _1350680564__$1232121576_selector(inj9926_LocaleListBox, inj9924_LocaleSelector);
      InitVotes.registerOneTimeInitCallback(new Runnable() {
        public void run() {
          inj9926_LocaleListBox.init();
        }
      });
      return inj9926_LocaleListBox;
    }
  };
  private final BeanProvider<InstanceProvider> inj9928_InstanceProvider_creational = new BeanProvider<InstanceProvider>() {
    public InstanceProvider getInstance(final CreationalContext context) {
      final InstanceProvider inj9901_InstanceProvider = new InstanceProvider();
      context.addBean(context.getBeanReference(InstanceProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9901_InstanceProvider);
      return inj9901_InstanceProvider;
    }
  };
  private final InstanceProvider inj9901_InstanceProvider = inj9928_InstanceProvider_creational.getInstance(context);
  private final BeanProvider<DisposerProvider> inj9929_DisposerProvider_creational = new BeanProvider<DisposerProvider>() {
    public DisposerProvider getInstance(final CreationalContext context) {
      final DisposerProvider inj9887_DisposerProvider = new DisposerProvider();
      context.addBean(context.getBeanReference(DisposerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9887_DisposerProvider);
      _$1300398733__$652658075_beanManager(inj9887_DisposerProvider, inj9891_IOCBeanManagerProvider.get());
      return inj9887_DisposerProvider;
    }
  };
  private final DisposerProvider inj9887_DisposerProvider = inj9929_DisposerProvider_creational.getInstance(context);
  private final BeanProvider<BatchCallerProvider> inj9930_BatchCallerProvider_creational = new BeanProvider<BatchCallerProvider>() {
    public BatchCallerProvider getInstance(final CreationalContext context) {
      final BatchCallerProvider inj9903_BatchCallerProvider = new BatchCallerProvider();
      context.addBean(context.getBeanReference(BatchCallerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9903_BatchCallerProvider);
      return inj9903_BatchCallerProvider;
    }
  };
  private final BatchCallerProvider inj9903_BatchCallerProvider = inj9930_BatchCallerProvider_creational.getInstance(context);
  private final BeanProvider<TransitionToRoleProvider> inj9931_TransitionToRoleProvider_creational = new BeanProvider<TransitionToRoleProvider>() {
    public TransitionToRoleProvider getInstance(final CreationalContext context) {
      final TransitionToRoleProvider inj9895_TransitionToRoleProvider = new TransitionToRoleProvider();
      context.addBean(context.getBeanReference(TransitionToRoleProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9895_TransitionToRoleProvider);
      return inj9895_TransitionToRoleProvider;
    }
  };
  private final TransitionToRoleProvider inj9895_TransitionToRoleProvider = inj9931_TransitionToRoleProvider_creational.getInstance(context);
  private InitializationCallback<ErraiExampleApp> init_inj9932_ErraiExampleApp = new InitializationCallback<ErraiExampleApp>() {
    public void init(final ErraiExampleApp obj) {
      _1435515563_init(obj);
    }
  };
  private final BeanProvider<ErraiExampleApp> inj9933_ErraiExampleApp_creational = new BeanProvider<ErraiExampleApp>() {
    public ErraiExampleApp getInstance(final CreationalContext context) {
      final ErraiExampleApp inj9932_ErraiExampleApp = new ErraiExampleApp();
      context.addBean(context.getBeanReference(ErraiExampleApp.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9932_ErraiExampleApp);
      context.addInitializationCallback(inj9932_ErraiExampleApp, init_inj9932_ErraiExampleApp);
      return inj9932_ErraiExampleApp;
    }
  };
  private final ErraiExampleApp inj9932_ErraiExampleApp = inj9933_ErraiExampleApp_creational.getInstance(context);
  private final BeanProvider<InitBallotProvider> inj9934_InitBallotProvider_creational = new BeanProvider<InitBallotProvider>() {
    public InitBallotProvider getInstance(final CreationalContext context) {
      final InitBallotProvider inj9877_InitBallotProvider = new InitBallotProvider();
      context.addBean(context.getBeanReference(InitBallotProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9877_InitBallotProvider);
      return inj9877_InitBallotProvider;
    }
  };
  private final InitBallotProvider inj9877_InitBallotProvider = inj9934_InitBallotProvider_creational.getInstance(context);
  private final BeanProvider<DestructionImpl> inj9936_DestructionImpl_creational = new BeanProvider<DestructionImpl>() {
    public DestructionImpl getInstance(final CreationalContext context) {
      final DestructionImpl inj9935_DestructionImpl = new DestructionImpl();
      context.addBean(context.getBeanReference(DestructionImpl.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9935_DestructionImpl);
      return inj9935_DestructionImpl;
    }
  };
  private final BeanProvider<PageTransitionProvider> inj9937_PageTransitionProvider_creational = new BeanProvider<PageTransitionProvider>() {
    public PageTransitionProvider getInstance(final CreationalContext context) {
      final PageTransitionProvider inj9893_PageTransitionProvider = new PageTransitionProvider();
      context.addBean(context.getBeanReference(PageTransitionProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9893_PageTransitionProvider);
      return inj9893_PageTransitionProvider;
    }
  };
  private final PageTransitionProvider inj9893_PageTransitionProvider = inj9937_PageTransitionProvider_creational.getInstance(context);
  private final BeanProvider<TransitionAnchorProvider> inj9938_TransitionAnchorProvider_creational = new BeanProvider<TransitionAnchorProvider>() {
    public TransitionAnchorProvider getInstance(final CreationalContext context) {
      final TransitionAnchorProvider inj9869_TransitionAnchorProvider = new TransitionAnchorProvider();
      context.addBean(context.getBeanReference(TransitionAnchorProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9869_TransitionAnchorProvider);
      _$1034438370__136504311_navigation(inj9869_TransitionAnchorProvider, inj9909_Navigation);
      return inj9869_TransitionAnchorProvider;
    }
  };
  private final TransitionAnchorProvider inj9869_TransitionAnchorProvider = inj9938_TransitionAnchorProvider_creational.getInstance(context);
  private final BeanProvider<TransitionAnchorFactoryProvider> inj9939_TransitionAnchorFactoryProvider_creational = new BeanProvider<TransitionAnchorFactoryProvider>() {
    public TransitionAnchorFactoryProvider getInstance(final CreationalContext context) {
      final TransitionAnchorFactoryProvider inj9883_TransitionAnchorFactoryProvider = new TransitionAnchorFactoryProvider();
      context.addBean(context.getBeanReference(TransitionAnchorFactoryProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9883_TransitionAnchorFactoryProvider);
      _1496760654__136504311_navigation(inj9883_TransitionAnchorFactoryProvider, inj9909_Navigation);
      return inj9883_TransitionAnchorFactoryProvider;
    }
  };
  private final TransitionAnchorFactoryProvider inj9883_TransitionAnchorFactoryProvider = inj9939_TransitionAnchorFactoryProvider_creational.getInstance(context);
  private final BeanProvider<LifecycleListenerRegistrarImpl> inj9941_LifecycleListenerRegistrarImpl_creational = new BeanProvider<LifecycleListenerRegistrarImpl>() {
    public LifecycleListenerRegistrarImpl getInstance(final CreationalContext context) {
      final LifecycleListenerRegistrarImpl inj9940_LifecycleListenerRegistrarImpl = new LifecycleListenerRegistrarImpl();
      context.addBean(context.getBeanReference(LifecycleListenerRegistrarImpl.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9940_LifecycleListenerRegistrarImpl);
      return inj9940_LifecycleListenerRegistrarImpl;
    }
  };
  private final LifecycleListenerRegistrarImpl inj9940_LifecycleListenerRegistrarImpl = inj9941_LifecycleListenerRegistrarImpl_creational.getInstance(context);
  private InitializationCallback<LessStyle> init_inj9942_LessStyle = new InitializationCallback<LessStyle>() {
    public void init(final LessStyle obj) {
      obj.init();
    }
  };
  private final BeanProvider<LessStyle> inj9943_LessStyle_creational = new BeanProvider<LessStyle>() {
    public LessStyle getInstance(final CreationalContext context) {
      final LessStyle inj9942_LessStyle = new LessStyle();
      context.addBean(context.getBeanReference(LessStyle.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9942_LessStyle);
      context.addInitializationCallback(inj9942_LessStyle, init_inj9942_LessStyle);
      return inj9942_LessStyle;
    }
  };
  private final LessStyle inj9942_LessStyle = inj9943_LessStyle_creational.getInstance(context);
  private InitializationCallback<ContentPage> init_inj9944_ContentPage = new InitializationCallback<ContentPage>() {
    public void init(final ContentPage obj) {
      _$383083441_initInstance(obj);
    }
  };
  private final BeanProvider<ContentPage> inj9945_ContentPage_creational = new BeanProvider<ContentPage>() {
    public ContentPage getInstance(final CreationalContext context) {
      final ContentPage inj9944_ContentPage = new ContentPage();
      context.addBean(context.getBeanReference(ContentPage.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9944_ContentPage);
      _$383083441__$855849227_topLevelComponent(inj9944_ContentPage, inj9921_TopLevelComponent);
      context.addInitializationCallback(inj9944_ContentPage, new InitializationCallback<ContentPage>() {
        public void init(final ContentPage obj) {
          com_kdm_erraiexample_client_ContentPageTemplateResource var77 = GWT.create(com_kdm_erraiexample_client_ContentPageTemplateResource.class);
          Element var78 = TemplateUtil.getRootTemplateElement(var77.getContents().getText(), "com/kdm/erraiexample/client/ContentPage.html", "");
          TemplateUtil.translateTemplate("com/kdm/erraiexample/client/ContentPage.html", var78);
          Map<String, Element> var79 = TemplateUtil.getDataFieldElements(var78);
          Map<String, Widget> var80 = new LinkedHashMap<String, Widget>();
          TemplateUtil.compositeComponentReplace("com.kdm.erraiexample.client.ContentPage", "com/kdm/erraiexample/client/ContentPage.html", _$383083441__$855849227_topLevelComponent(inj9944_ContentPage), var79, "topLevelComponent");
          var80.put("topLevelComponent", _$383083441__$855849227_topLevelComponent(inj9944_ContentPage));
          TemplateUtil.initWidget(inj9944_ContentPage, var78, var80.values());
        }
      });
      context.addInitializationCallback(inj9944_ContentPage, init_inj9944_ContentPage);
      return inj9944_ContentPage;
    }
  };
  private final BeanProvider<CreationImpl> inj9947_CreationImpl_creational = new BeanProvider<CreationImpl>() {
    public CreationImpl getInstance(final CreationalContext context) {
      final CreationImpl inj9946_CreationImpl = new CreationImpl();
      context.addBean(context.getBeanReference(CreationImpl.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9946_CreationImpl);
      return inj9946_CreationImpl;
    }
  };
  private final BeanProvider<AccessImpl> inj9949_AccessImpl_creational = new BeanProvider<AccessImpl>() {
    public AccessImpl getInstance(final CreationalContext context) {
      final AccessImpl inj9948_AccessImpl = new AccessImpl();
      context.addBean(context.getBeanReference(AccessImpl.class, QualifierUtil.DEFAULT_QUALIFIERS), inj9948_AccessImpl);
      return inj9948_AccessImpl;
    }
  };
  public interface com_kdm_erraiexample_client_widget_ParentWidgetTemplateResource extends Template, ClientBundle { @Source("com/kdm/erraiexample/client/widget/ParentWidget.html") public TextResource getContents(); }
  public interface com_kdm_erraiexample_client_widget_ChildWidgetTemplateResource extends Template, ClientBundle { @Source("com/kdm/erraiexample/client/widget/ChildWidget.html") public TextResource getContents(); }
  public interface com_kdm_erraiexample_client_TopLevelComponentTemplateResource extends Template, ClientBundle { @Source("com/kdm/erraiexample/client/TopLevelComponent.html") public TextResource getContents(); }
  public interface com_kdm_erraiexample_client_ContentPageTemplateResource extends Template, ClientBundle { @Source("com/kdm/erraiexample/client/ContentPage.html") public TextResource getContents(); }
  private void declareBeans_0() {
    injContext.addBean(TranslationServiceProvider.class, TranslationServiceProvider.class, inj9904_TranslationServiceProvider_creational, inj9875_TranslationServiceProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, TranslationServiceProvider.class, inj9904_TranslationServiceProvider_creational, inj9875_TranslationServiceProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventProvider.class, EventProvider.class, inj9905_EventProvider_creational, inj9879_EventProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, EventProvider.class, inj9905_EventProvider_creational, inj9879_EventProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SenderProvider.class, SenderProvider.class, inj9906_SenderProvider_creational, inj9899_SenderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, SenderProvider.class, inj9906_SenderProvider_creational, inj9899_SenderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(StateChangeImpl.class, StateChangeImpl.class, inj9908_StateChangeImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(StateChange.class, StateChangeImpl.class, inj9908_StateChangeImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, StateChangeImpl.class, inj9908_StateChangeImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEventImpl.class, StateChangeImpl.class, inj9908_StateChangeImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, StateChangeImpl.class, inj9908_StateChangeImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Navigation.class, Navigation.class, inj9910_Navigation_creational, inj9909_Navigation, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(IOCBeanManagerProvider.class, IOCBeanManagerProvider.class, inj9911_IOCBeanManagerProvider_creational, inj9891_IOCBeanManagerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, IOCBeanManagerProvider.class, inj9911_IOCBeanManagerProvider_creational, inj9891_IOCBeanManagerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(CallerProvider.class, CallerProvider.class, inj9912_CallerProvider_creational, inj9885_CallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, CallerProvider.class, inj9912_CallerProvider_creational, inj9885_CallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(ListWidgetProvider.class, ListWidgetProvider.class, inj9913_ListWidgetProvider_creational, inj9881_ListWidgetProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, ListWidgetProvider.class, inj9913_ListWidgetProvider_creational, inj9881_ListWidgetProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(DataBinderProvider.class, DataBinderProvider.class, inj9914_DataBinderProvider_creational, inj9897_DataBinderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, DataBinderProvider.class, inj9914_DataBinderProvider_creational, inj9897_DataBinderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(InlineLabel.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Label.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirectionalText.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasText.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirection.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasClickHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDoubleClickHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesClickEvents.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesMouseEvents.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllDragAndDropHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEndHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEnterHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragLeaveHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragOverHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragStartHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDropHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllGestureHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureStartHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureChangeHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureEndHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllMouseHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseDownHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseUpHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOutHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOverHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseMoveHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseWheelHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllTouchHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchStartHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchMoveHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchEndHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchCancelHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsEditor.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LabelBase.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasWordWrap.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirectionEstimator.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAutoHorizontalAlignment.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHorizontalAlignment.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, InlineLabel.class, inj9916_InlineLabel_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(CheckBox.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(HasName.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValue.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TakesValue.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValueChangeHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasWordWrap.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirectionalSafeHtml.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirectionalText.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasText.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasSafeHtml.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirectionEstimator.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsEditor.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(ButtonBase.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHTML.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(FocusWidget.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesClickEvents.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasClickHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDoubleClickHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasFocus.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Focusable.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesFocusEvents.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesKeyboardEvents.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasEnabled.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllDragAndDropHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEndHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEnterHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragLeaveHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragOverHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragStartHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDropHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllFocusHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasFocusHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasBlurHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllGestureHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureStartHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureChangeHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureEndHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllKeyHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyUpHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyDownHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyPressHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllMouseHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseDownHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseUpHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOutHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOverHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseMoveHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseWheelHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllTouchHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchStartHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchMoveHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchEndHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchCancelHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesMouseEvents.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, CheckBox.class, inj9917_CheckBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(ParentWidget.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(HasModel.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Composite.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, ParentWidget.class, inj9915_ParentWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(ChildWidget.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(HasModel.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Composite.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, ChildWidget.class, inj9918_ChildWidget_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(MessageBusProvider.class, MessageBusProvider.class, inj9919_MessageBusProvider_creational, inj9871_MessageBusProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, MessageBusProvider.class, inj9919_MessageBusProvider_creational, inj9871_MessageBusProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(RequestDispatcherProvider.class, RequestDispatcherProvider.class, inj9920_RequestDispatcherProvider_creational, inj9889_RequestDispatcherProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, RequestDispatcherProvider.class, inj9920_RequestDispatcherProvider_creational, inj9889_RequestDispatcherProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TopLevelComponent.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(HasModel.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Composite.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, TopLevelComponent.class, inj9922_TopLevelComponent_creational, inj9921_TopLevelComponent, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(RootPanelProvider.class, RootPanelProvider.class, inj9923_RootPanelProvider_creational, inj9873_RootPanelProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, RootPanelProvider.class, inj9923_RootPanelProvider_creational, inj9873_RootPanelProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LocaleSelector.class, LocaleSelector.class, inj9925_LocaleSelector_creational, inj9924_LocaleSelector, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(LocaleListBox.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ValueListBox.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Focusable.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasConstrainedValue.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValue.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TakesValue.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValueChangeHandlers.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasEnabled.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsEditor.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Composite.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, LocaleListBox.class, inj9927_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(InstanceProvider.class, InstanceProvider.class, inj9928_InstanceProvider_creational, inj9901_InstanceProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, InstanceProvider.class, inj9928_InstanceProvider_creational, inj9901_InstanceProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(DisposerProvider.class, DisposerProvider.class, inj9929_DisposerProvider_creational, inj9887_DisposerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, DisposerProvider.class, inj9929_DisposerProvider_creational, inj9887_DisposerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(BatchCallerProvider.class, BatchCallerProvider.class, inj9930_BatchCallerProvider_creational, inj9903_BatchCallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, BatchCallerProvider.class, inj9930_BatchCallerProvider_creational, inj9903_BatchCallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TransitionToRoleProvider.class, TransitionToRoleProvider.class, inj9931_TransitionToRoleProvider_creational, inj9895_TransitionToRoleProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, TransitionToRoleProvider.class, inj9931_TransitionToRoleProvider_creational, inj9895_TransitionToRoleProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(ErraiExampleApp.class, ErraiExampleApp.class, inj9933_ErraiExampleApp_creational, inj9932_ErraiExampleApp, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(InitBallotProvider.class, InitBallotProvider.class, inj9934_InitBallotProvider_creational, inj9877_InitBallotProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, InitBallotProvider.class, inj9934_InitBallotProvider_creational, inj9877_InitBallotProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(DestructionImpl.class, DestructionImpl.class, inj9936_DestructionImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Destruction.class, DestructionImpl.class, inj9936_DestructionImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, DestructionImpl.class, inj9936_DestructionImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEventImpl.class, DestructionImpl.class, inj9936_DestructionImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, DestructionImpl.class, inj9936_DestructionImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(PageTransitionProvider.class, PageTransitionProvider.class, inj9937_PageTransitionProvider_creational, inj9893_PageTransitionProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, PageTransitionProvider.class, inj9937_PageTransitionProvider_creational, inj9893_PageTransitionProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TransitionAnchorProvider.class, TransitionAnchorProvider.class, inj9938_TransitionAnchorProvider_creational, inj9869_TransitionAnchorProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, TransitionAnchorProvider.class, inj9938_TransitionAnchorProvider_creational, inj9869_TransitionAnchorProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TransitionAnchorFactoryProvider.class, TransitionAnchorFactoryProvider.class, inj9939_TransitionAnchorFactoryProvider_creational, inj9883_TransitionAnchorFactoryProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, TransitionAnchorFactoryProvider.class, inj9939_TransitionAnchorFactoryProvider_creational, inj9883_TransitionAnchorFactoryProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleListenerRegistrarImpl.class, LifecycleListenerRegistrarImpl.class, inj9941_LifecycleListenerRegistrarImpl_creational, inj9940_LifecycleListenerRegistrarImpl, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(LifecycleListenerRegistrar.class, LifecycleListenerRegistrarImpl.class, inj9941_LifecycleListenerRegistrarImpl_creational, inj9940_LifecycleListenerRegistrarImpl, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LessStyle.class, LessStyle.class, inj9943_LessStyle_creational, inj9942_LessStyle, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContentPage.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Composite.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, ContentPage.class, inj9945_ContentPage_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(CreationImpl.class, CreationImpl.class, inj9947_CreationImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Creation.class, CreationImpl.class, inj9947_CreationImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, CreationImpl.class, inj9947_CreationImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEventImpl.class, CreationImpl.class, inj9947_CreationImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, CreationImpl.class, inj9947_CreationImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(AccessImpl.class, AccessImpl.class, inj9949_AccessImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Access.class, AccessImpl.class, inj9949_AccessImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, AccessImpl.class, inj9949_AccessImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEventImpl.class, AccessImpl.class, inj9949_AccessImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LifecycleEvent.class, AccessImpl.class, inj9949_AccessImpl_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
  }

  private native static CheckBox _$855849227__$378378709_test(TopLevelComponent instance) /*-{
    return instance.@com.kdm.erraiexample.client.TopLevelComponent::test;
  }-*/;

  private native static void _$855849227__$378378709_test(TopLevelComponent instance, CheckBox value) /*-{
    instance.@com.kdm.erraiexample.client.TopLevelComponent::test = value;
  }-*/;

  private native static ListWidget _$333860385__$102652735_childList(ParentWidget instance) /*-{
    return instance.@com.kdm.erraiexample.client.widget.ParentWidget::childList;
  }-*/;

  private native static void _$333860385__$102652735_childList(ParentWidget instance, ListWidget<ChildModel, ChildWidget> value) /*-{
    instance.@com.kdm.erraiexample.client.widget.ParentWidget::childList = value;
  }-*/;

  private native static void _1496760654__136504311_navigation(TransitionAnchorFactoryProvider instance, Navigation value) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.TransitionAnchorFactoryProvider::navigation = value;
  }-*/;

  private native static void _$1300398733__$652658075_beanManager(DisposerProvider instance, SyncBeanManager value) /*-{
    instance.@org.jboss.errai.ioc.client.api.builtin.DisposerProvider::beanManager = value;
  }-*/;

  private native static DataBinder _573234703__$483175978_childModelBinder(ChildWidget instance) /*-{
    return instance.@com.kdm.erraiexample.client.widget.ChildWidget::childModelBinder;
  }-*/;

  private native static void _573234703__$483175978_childModelBinder(ChildWidget instance, DataBinder<ChildModel> value) /*-{
    instance.@com.kdm.erraiexample.client.widget.ChildWidget::childModelBinder = value;
  }-*/;

  private native static ListWidget _$855849227__$102652735_parentList(TopLevelComponent instance) /*-{
    return instance.@com.kdm.erraiexample.client.TopLevelComponent::parentList;
  }-*/;

  private native static void _$855849227__$102652735_parentList(TopLevelComponent instance, ListWidget<ParentModel, ParentWidget> value) /*-{
    instance.@com.kdm.erraiexample.client.TopLevelComponent::parentList = value;
  }-*/;

  private native static CheckBox _573234703__$378378709_selected(ChildWidget instance) /*-{
    return instance.@com.kdm.erraiexample.client.widget.ChildWidget::selected;
  }-*/;

  private native static void _573234703__$378378709_selected(ChildWidget instance, CheckBox value) /*-{
    instance.@com.kdm.erraiexample.client.widget.ChildWidget::selected = value;
  }-*/;

  private native static void _136504311__$2056551207_stateChangeEvent(Navigation instance, StateChange value) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.Navigation::stateChangeEvent = value;
  }-*/;

  private native static TopLevelComponent _$383083441__$855849227_topLevelComponent(ContentPage instance) /*-{
    return instance.@com.kdm.erraiexample.client.ContentPage::topLevelComponent;
  }-*/;

  private native static void _$383083441__$855849227_topLevelComponent(ContentPage instance, TopLevelComponent value) /*-{
    instance.@com.kdm.erraiexample.client.ContentPage::topLevelComponent = value;
  }-*/;

  private native static DataBinder _$333860385__$483175978_parentBinder(ParentWidget instance) /*-{
    return instance.@com.kdm.erraiexample.client.widget.ParentWidget::parentBinder;
  }-*/;

  private native static void _$333860385__$483175978_parentBinder(ParentWidget instance, DataBinder<ParentModel> value) /*-{
    instance.@com.kdm.erraiexample.client.widget.ParentWidget::parentBinder = value;
  }-*/;

  private native static InlineLabel _$333860385__74478675_parentValue(ParentWidget instance) /*-{
    return instance.@com.kdm.erraiexample.client.widget.ParentWidget::parentValue;
  }-*/;

  private native static void _$333860385__74478675_parentValue(ParentWidget instance, InlineLabel value) /*-{
    instance.@com.kdm.erraiexample.client.widget.ParentWidget::parentValue = value;
  }-*/;

  private native static void _1350680564__$1232121576_selector(LocaleListBox instance, LocaleSelector value) /*-{
    instance.@org.jboss.errai.ui.client.widget.LocaleListBox::selector = value;
  }-*/;

  private native static InlineLabel _573234703__74478675_childValue(ChildWidget instance) /*-{
    return instance.@com.kdm.erraiexample.client.widget.ChildWidget::childValue;
  }-*/;

  private native static void _573234703__74478675_childValue(ChildWidget instance, InlineLabel value) /*-{
    instance.@com.kdm.erraiexample.client.widget.ChildWidget::childValue = value;
  }-*/;

  private native static DataBinder _$855849227__$483175978_parentListBinder(TopLevelComponent instance) /*-{
    return instance.@com.kdm.erraiexample.client.TopLevelComponent::parentListBinder;
  }-*/;

  private native static void _$855849227__$483175978_parentListBinder(TopLevelComponent instance, DataBinder<ParentList> value) /*-{
    instance.@com.kdm.erraiexample.client.TopLevelComponent::parentListBinder = value;
  }-*/;

  private native static CheckBox _$333860385__$378378709_test(ParentWidget instance) /*-{
    return instance.@com.kdm.erraiexample.client.widget.ParentWidget::test;
  }-*/;

  private native static void _$333860385__$378378709_test(ParentWidget instance, CheckBox value) /*-{
    instance.@com.kdm.erraiexample.client.widget.ParentWidget::test = value;
  }-*/;

  private native static void _$1034438370__136504311_navigation(TransitionAnchorProvider instance, Navigation value) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.TransitionAnchorProvider::navigation = value;
  }-*/;

  public native static void _136504311_init(Navigation instance) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.Navigation::init()();
  }-*/;

  public native static void _$333860385_withTest_ClickEvent(ParentWidget instance, ClickEvent a0) /*-{
    instance.@com.kdm.erraiexample.client.widget.ParentWidget::withTest(Lcom/google/gwt/event/dom/client/ClickEvent;)(a0);
  }-*/;

  public native static void _$855849227_withTest_ClickEvent(TopLevelComponent instance, ClickEvent a0) /*-{
    instance.@com.kdm.erraiexample.client.TopLevelComponent::withTest(Lcom/google/gwt/event/dom/client/ClickEvent;)(a0);
  }-*/;

  public native static void _$855849227_initInstance(TopLevelComponent instance) /*-{
    instance.@com.kdm.erraiexample.client.TopLevelComponent::initInstance()();
  }-*/;

  public native static void _1435515563_init(ErraiExampleApp instance) /*-{
    instance.@com.kdm.erraiexample.client.ErraiExampleApp::init()();
  }-*/;

  public native static void _$383083441_initInstance(ContentPage instance) /*-{
    instance.@com.kdm.erraiexample.client.ContentPage::initInstance()();
  }-*/;

  // The main IOC bootstrap method.
  public SimpleInjectionContext bootstrapContainer() {
    declareBeans_0();
    return injContext;
  }
}