package com.kdm.erraiexample.client;

import java.util.logging.Handler;
import java.util.logging.Level;

import javax.annotation.PostConstruct;

import org.jboss.errai.common.client.logging.LoggingHandlerConfigurator;
import org.jboss.errai.common.client.logging.handlers.ErraiConsoleLogHandler;
import org.jboss.errai.enterprise.client.jaxrs.api.RestClient;
import org.jboss.errai.ioc.client.api.EntryPoint;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@EntryPoint
public class ErraiExampleApp
{
  private static final Logger log = LoggerFactory.getLogger(ErraiExampleApp.class);
  
  @PostConstruct
  private void init()
  {
    logConfig();
    RestClient.setApplicationRoot("/erraiexample/service");
    RestClient.setJacksonMarshallingActive(true);
    log.info("ErraiExampleApp:  init.");
  }
  
  private void logConfig()
  {
    LoggingHandlerConfigurator config = LoggingHandlerConfigurator.get();
    Handler handler = config.getHandler(ErraiConsoleLogHandler.class);
    handler.setLevel(Level.ALL);    
    log.debug("Should now see debug-level messages?!");
  }
  
}