package com.kdm.erraiexample.client.widget;

import javax.annotation.PostConstruct;
import javax.inject.Inject;

import org.jboss.errai.databinding.client.api.DataBinder;
import org.jboss.errai.ui.client.widget.HasModel;
import org.jboss.errai.ui.shared.api.annotations.AutoBound;
import org.jboss.errai.ui.shared.api.annotations.Bound;
import org.jboss.errai.ui.shared.api.annotations.DataField;
import org.jboss.errai.ui.shared.api.annotations.EventHandler;
import org.jboss.errai.ui.shared.api.annotations.Templated;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.user.client.ui.CheckBox;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.InlineLabel;
import com.kdm.erraiexample.client.model.ChildModel;

@Templated("#child")
public class ChildWidget extends Composite implements HasModel<ChildModel>
{
  private static final Logger log = LoggerFactory.getLogger(ChildWidget.class);

  @Inject
  @AutoBound
  DataBinder<ChildModel> childModelBinder;
  
  @Inject
  @Bound
  @DataField
  private InlineLabel childValue;

  @Inject
  @Bound
  @DataField
  CheckBox selected;

  @PostConstruct
  public void initInstance()
  {
    log.info("ChildWidget Init()");
  }

  @Override
  public ChildModel getModel()
  {
    return childModelBinder.getModel();
  }

  @Override
  public void setModel(ChildModel model)
  {
    childModelBinder.setModel(model);
  }

  @EventHandler("selected")
  private void selected(ClickEvent event)
  {
    boolean checked = ((CheckBox) event.getSource()).getValue();
    log.info(" " + checked+"  but this should cause a property change event visible to topLevelComponent?");
  }
}
